I'm a programmer specialising in performant and scalable systems using PHP and Ruby and cooking


Published:

apt-get behind transparent proxy: Unable to parse package file

If you're proxy does not support lingering on TCP requests, such as squid proxy, apt-get will fail to properly download list packages. This will need to be turned off by editing "/etc/apt/apt.conf" (may not exist by default) and adding this line:

Acquire::http::Pipeline-Depth "0";